Subject: bug#23825: maint: avoid md5sum.c warning from bleeding-edge gcc's -Wstrict-overflow

From: Paul Eggert <[email-masked]>
Date: Thu, 23 Jun 2016 20:19:56 +0200

On 06/23/2016 07:29 PM, Jim Meyering wrote:
> My only reservation is barely worth mentioning: the new
> variable names, operandp and operand_lim are a bit too long for my
> taste (at least in the files where all uses are very near the
> definitions). On the other hand, they are also more readable than
> alternatives that came to mind, and in some cases are used far enough
> away from point of definition that one can justify that added length.

Exactly the thoughts that ran through my head!  I couldn't think of 
better names either.  The word "operand" came from the technical term 
used in the POSIX spec for utility arguments.  If someone else can come 
up with a better (shorter) name I'm all for using it.  In the meantime I 
installed the patch.